xgboost

Classes | Namespaces | Enumerations | Functions | Variables
survival_util.h File Reference

Utility functions, useful for implementing objective and metric functions for survival analysis. More...

`#include <xgboost/parameter.h>`
`#include <memory>`
`#include <algorithm>`
`#include <limits>`
`#include "probability_distribution.h"`
Include dependency graph for survival_util.h:

Go to the source code of this file.

## Classes
struct | xgboost::common::AFTParam
| Parameter structure for AFT loss and metric. More...
struct | xgboost::common::AFTLoss< Distribution >
| The AFT loss function. More...

## Namespaces
| xgboost
| namespace of xgboost
| xgboost::common
| xgboost::common::aft

## Enumerations
enum | xgboost::common::CensoringType : uint8_t { xgboost::common::CensoringType::kUncensored, xgboost::common::CensoringType::kRightCensored, xgboost::common::CensoringType::kLeftCensored, xgboost::common::CensoringType::kIntervalCensored }

## Functions
| DECLARE_FIELD_ENUM_CLASS (xgboost::common::ProbabilityDistributionType)
XGBOOST_DEVICE double | xgboost::common::aft::Clip (double x, double x_min, double x_max)
template<typename Distribution >
XGBOOST_DEVICE double | xgboost::common::aft::GetLimitGradAtInfPred (CensoringType censor_type, bool sign, double sigma)
template<typename Distribution >
XGBOOST_DEVICE double | xgboost::common::aft::GetLimitHessAtInfPred (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | xgboost::common::aft::GetLimitGradAtInfPred< NormalDistribution > (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | xgboost::common::aft::GetLimitHessAtInfPred< NormalDistribution > (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | xgboost::common::aft::GetLimitGradAtInfPred< LogisticDistribution > (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | xgboost::common::aft::GetLimitHessAtInfPred< LogisticDistribution > (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | xgboost::common::aft::GetLimitGradAtInfPred< ExtremeDistribution > (CensoringType censor_type, bool sign, double sigma)
template<>
XGBOOST_DEVICE double | xgboost::common::aft::GetLimitHessAtInfPred< ExtremeDistribution > (CensoringType censor_type, bool sign, double sigma)

## Variables
constexpr double | xgboost::common::aft::kMinGradient = -15.0
constexpr double | xgboost::common::aft::kMaxGradient = 15.0
constexpr double | xgboost::common::aft::kMinHessian = 1e-16
constexpr double | xgboost::common::aft::kMaxHessian = 15.0
constexpr double | xgboost::common::aft::kEps = 1e-12

## Detailed Description

Utility functions, useful for implementing objective and metric functions for survival analysis.

Copyright 2019-2020 by Contributors

Author
  Avinash Barnwal, Hyunsu Cho and Toby Hocking

## Function Documentation

## ◆ DECLARE_FIELD_ENUM_CLASS()

DECLARE_FIELD_ENUM_CLASS | ( | xgboost::common::ProbabilityDistributionType |  | ) |